---------------------
PatchSet 4999 
Date: 2007/07/18 23:08:35
Author: hno
Branch: bug1921
Tag: (none) 
Log:
Plug a memory leak on aborted transactions while buffering response data

Members: 
	src/Server.cc:1.12.2.1->1.12.2.2 

Index: squid3/src/Server.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Server.cc,v
retrieving revision 1.12.2.1
retrieving revision 1.12.2.2
diff -u -r1.12.2.1 -r1.12.2.2
--- squid3/src/Server.cc	18 Jul 2007 10:21:18 -0000	1.12.2.1
+++ squid3/src/Server.cc	18 Jul 2007 23:08:35 -0000	1.12.2.2
@@ -1,5 +1,5 @@
 /*
- * $Id: Server.cc,v 1.12.2.1 2007/07/18 10:21:18 hno Exp $
+ * $Id: Server.cc,v 1.12.2.2 2007/07/18 23:08:35 hno Exp $
  *
  * DEBUG:
  * AUTHOR: Duane Wessels
@@ -73,6 +73,11 @@
 #if ICAP_CLIENT
     cleanIcap();
 #endif
+
+    if (responseBodyBuffer != NULL) {
+	delete responseBodyBuffer;
+	responseBodyBuffer = NULL;
+    }
 }
 
 // called when no more server communication is expected; may quit
